Agent status and delegation transaction
curl --request GET \
--url https://api.gains.trade/v1/{chain}/agents/{address}import requests
url = "https://api.gains.trade/v1/{chain}/agents/{address}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.gains.trade/v1/{chain}/agents/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent": {
"agent": "0x73b3A111C5BCCf9086c97B96e0AbAad69Dc4f523",
"trader": "0x73b3A111C5BCCf9086c97B96e0AbAad69Dc4f523",
"name": "<string>",
"scope": {
"markets": "all",
"maxLeverage": "0.5",
"dailySpendCapUsd": "0.5",
"expiresAt": 123,
"permissions": "trade"
},
"mode": "self",
"status": "pending_delegation",
"createdAt": 123
},
"delegationTx": {
"to": "0x73b3A111C5BCCf9086c97B96e0AbAad69Dc4f523",
"data": "0xabc123",
"chainId": 123
}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}Agents
Agent status and delegation transaction
GET
/
v1
/
{chain}
/
agents
/
{address}
Agent status and delegation transaction
Path Parameters
Available options:
arbitrum, base, polygon, megaeth, arbitrum-sepolia Example:
"arbitrum"
Example:
"0x73b3A111C5BCCf9086c97B96e0AbAad69Dc4f523"
